#!/bin/bash -xe

#
#  Musisz mieć globalnie zainstalowane ts-node (npm install -g ts-node)
#
#  W katalogu z tym skryptem musisz mieć katalog "pics", w którym są pliki "left.png", "right.png", "none.png" i "both.png"
#

export input=~/Downloads/icdw3/stereo-processed.wav              # tutaj dajemy ścieżkę do pliku mp3 z Arkiem w jednym kanale i Kubą w drugim
export input_mono=~/Downloads/icdw3/mono-processed.wav           # tutaj dajemy ścieżkę do pliku mp3 z Arkiem w jednym kanale i Kubą w drugim
export intro=~/projects/midline/podcast-visualizer/out/intro.mp4 # glitch
export outro=~/projects/midline/podcast-visualizer/out/intro.mp4 # to samo na końcu, co na początku
export final_output=~/Downloads/icdw3-viz.mp4
export framerate=25
export timescale=25000

aresample=8000 # to bez zmian
mkdir -p out

source ./split.sh
source ./demux.sh
source ./merge.sh
